Consultar extrato
curl --request GET \
--url https://gateway.staging.azentech.dev/api/merchant/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/merchant/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/merchant/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionIdApi": "10000000-0000-4000-8000-000000000001",
"eventId": "60000000-0000-4000-8000-000000000001",
"e2EId": "E0000000020261023143000000000001",
"accountId": "demo-account",
"creditDebitType": "CREDITO",
"completedAuthorisedPaymentType": "COMPLETED",
"transactionName": "Sandbox Pix",
"type": "pix",
"amount": "125.90",
"currency": "BRL",
"transactionDate": "2026-10-23T14:30:00Z",
"postDate": "2026-10-23T14:31:00Z",
"partieCnpjCpf": "12345678909",
"partiePerson": "PESSOA_NATURAL",
"partieCompeCode": "12345678",
"partieBranchCode": "0001",
"partieNumber": "123456-7",
"partieCheckDigit": "",
"isReversal": false,
"isRefund": false
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 1
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": {
"fatal": "Something went wrong. Please refer to support with the following code: 0000000000"
},
"status": 500
}
}Relatórios
Consultar extrato
Lista lançamentos condensados no formato usado pela integração de Open Finance.
GET
/
api
/
merchant
/
statements
Consultar extrato
curl --request GET \
--url https://gateway.staging.azentech.dev/api/merchant/statements \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/merchant/statements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/merchant/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionIdApi": "10000000-0000-4000-8000-000000000001",
"eventId": "60000000-0000-4000-8000-000000000001",
"e2EId": "E0000000020261023143000000000001",
"accountId": "demo-account",
"creditDebitType": "CREDITO",
"completedAuthorisedPaymentType": "COMPLETED",
"transactionName": "Sandbox Pix",
"type": "pix",
"amount": "125.90",
"currency": "BRL",
"transactionDate": "2026-10-23T14:30:00Z",
"postDate": "2026-10-23T14:31:00Z",
"partieCnpjCpf": "12345678909",
"partiePerson": "PESSOA_NATURAL",
"partieCompeCode": "12345678",
"partieBranchCode": "0001",
"partieNumber": "123456-7",
"partieCheckDigit": "",
"isReversal": false,
"isRefund": false
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 1
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": {
"fatal": "Something went wrong. Please refer to support with the following code: 0000000000"
},
"status": 500
}
}Comportamento observado
- O Gateway aplica o período somente quando
start_dateeend_datesão enviados juntos. - Sem as duas datas, a consulta atual não aplica o período padrão calculado pelo controller.
- O controller não impõe o limite de 30 dias.
Os exemplos usam identificadores e credenciais sintéticos. Os resultados do processador dependem do credenciamento e da configuração do estabelecimento.
Authorizations
Token de acesso fornecido para o estabelecimento.
Query Parameters
Início do período. O filtro só é aplicado quando end_date também é enviado.
Fim do período. O filtro só é aplicado quando start_date também é enviado.
Itens por página. O padrão é 50.
Required range:
x >= 1Página solicitada.
Required range:
x >= 1